image: gcc:latest

stages:
  - build
  - testing
  - package


x64.l.gcc.build:
  stage: build
  script:
    - apt-get update && apt-get -y install build-essential scons pkg-config libx11-dev libxcursor-dev libxinerama-dev libgl1-mesa-dev libglu-dev libasound2-dev libpulse-dev libudev-dev libxi-dev libxrandr-dev yasm
    - scons -j4 platform=x11
  artifacts:
    paths:
      - bin/*

x64.l.gcc.testing:
  stage: testing
  script:
    - apt-get update && apt-get -y install build-essential scons pkg-config libx11-dev libxcursor-dev libxinerama-dev libgl1-mesa-dev libglu-dev libasound2-dev libpulse-dev libudev-dev libxi-dev libxrandr-dev yasm
    - scons tests=yes
    - mkdir -p /root/.cache
    - ./bin/godot.linuxbsd.tools.64 --test

x64.l.gcc.package:
  stage: package
  script:
    - apt-get update && apt-get -y install build-essential scons pkg-config libx11-dev libxcursor-dev libxinerama-dev libgl1-mesa-dev libglu-dev libasound2-dev libpulse-dev libudev-dev libxi-dev libxrandr-dev yasm tar
    - scons -j4 platform=x11 
    - tar cf godot.tar.gz bin/* --gzip
  artifacts:
    paths:
      - godot*.tar.gz

